<h2>Basket</h2>

<table class="table table-bordered table-striped">
	<thead>
		<tr>
			<th>Item</th>
			<th>Price</th>
			<th>Quantity</th>
			<th>Total</th>
			<th>&nbsp;</th>
		</tr>
	</thead>

	<tbody>
		<?php if (! empty($basket['BasketItem'])): ?>
			<?php foreach ($basket['BasketItem'] as $key => $BasketItem): ?>
				<tr>
					<td>
						<?=$key?>
					</td>
					<td>
						<?=$this->Number->currency($BasketItem['unit_price'], 'GBP')?>
					</td>
					<td>
						<?=$BasketItem['quantity']?>
					</td>
					<td>
						<?=$this->Number->currency($BasketItem['row_total'], 'GBP')?>
					</td>
					<td>
						<a href="#">
							<i class="fa fa-times"></i>
						</a>
					</td>
				</tr>
			<?php endforeach; ?>
		<?php else: ?>
			<tr>
				<td colspan="5">
					There are no items in your basket
				</td>
			</tr>
		<?php endif; ?>
	</tbody>
</table>